# OgreSceneQuery.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreSphere.h"`
`#include "OgreRay.h"`
`#include "OgreRenderOperation.h"`
`#include "OgrePlaneBoundedVolume.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::list< MovableObject * > | SceneQueryResultMovableList
typedef std::list< SceneQuery::WorldFragment * > | SceneQueryResultWorldFragmentList
typedef std::vector< RaySceneQueryResultEntry > | RaySceneQueryResult
typedef std::pair< MovableObject *, MovableObject * > | SceneQueryMovableObjectPair
typedef std::pair< MovableObject *, SceneQuery::WorldFragment * > | SceneQueryMovableObjectWorldFragmentPair
typedef std::list< SceneQueryMovableObjectPair > | SceneQueryMovableIntersectionList
typedef std::list< SceneQueryMovableObjectWorldFragmentPair > | SceneQueryMovableWorldFragmentIntersectionList

## Typedef Documentation

typedef std::vector<RaySceneQueryResultEntry> Ogre::RaySceneQueryResult

| Definition at line 367 of file OgreSceneQuery.h.

typedef std::list<SceneQueryMovableObjectPair> Ogre::SceneQueryMovableIntersectionList

| Definition at line 484 of file OgreSceneQuery.h.

typedef std::pair<MovableObject*, MovableObject*> Ogre::SceneQueryMovableObjectPair

| Definition at line 482 of file OgreSceneQuery.h.

typedef std::pair<MovableObject*, SceneQuery::WorldFragment*> Ogre::SceneQueryMovableObjectWorldFragmentPair

| Definition at line 483 of file OgreSceneQuery.h.

typedef std::list<SceneQueryMovableObjectWorldFragmentPair> Ogre::SceneQueryMovableWorldFragmentIntersectionList

| Definition at line 485 of file OgreSceneQuery.h.

typedef std::list<MovableObject*> Ogre::SceneQueryResultMovableList

| Definition at line 200 of file OgreSceneQuery.h.

typedef std::list<SceneQuery::WorldFragment*> Ogre::SceneQueryResultWorldFragmentList

| Definition at line 201 of file OgreSceneQuery.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009